# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
  loaders:
    default:
      filesystem: #https://symfony.com/bundles/LiipImagineBundle/current/data-loader/filesystem.html
        data_root:
          - '%kernel.project_dir%/public'
          - '%kernel.project_dir%/var'

  # valid drivers options include "gd" or "gmagick" or "imagick"
  driver: "gd"
  twig:
    mode: lazy
  webp:
    generate: true

  resolvers:
    default:
      web_path:
        web_root: "%kernel.project_dir%/public"
        cache_prefix: media/cache

  filter_sets:
    cache: ~
    vign:
      quality: 70
      filters:
        thumbnail:
          size: [ 90,90 ]
          mode: inset
        background:
          size: [ 90,90 ]
          position: center
          color: '#ffffff'

    blog_vign:
      quality: 90
      filters:
        thumbnail:
          size: [ 90, 110 ]
          mode: outbound
          allow_upscale: true
    thumb:
      quality: 75
      filters:
        thumbnail:
          size: [ 150,150 ]
          mode: inset
        background:
          size: [ 150,150 ]
          position: center
          color: '#ffffff'
    thumb_square:
      quality: 75
      filters:
        thumbnail:
          size: [ 150,150 ]
          mode: outbound
        background:
          size: [ 150,150 ]
          position: center
          color: '#ffffff'

    blog_thumb:
      quality: 90
      filters:
        thumbnail:
          size: [ 150, 180 ]
          mode: outbound
          allow_upscale: true

    small_outbound:
      quality: 90
      filters:
        thumbnail:
          size: [ 400,400 ]
          mode: outbound
          allow_upscale: true
    small:
      quality: 90
      filters:
        thumbnail:
          size: [ 400,400 ]
          mode: inset
        background:
          size: [ 400,400 ]
          position: center
          color: '#ffffff'

    blog_small:
      quality: 90
      filters:
        thumbnail:
          size: [ 400, 530 ]
          mode: outbound
          allow_upscale: true

    medium:
      quality: 90
      filters:
        thumbnail:
          size: [ 600, 600 ] # largeur, hauteur
          mode: outbound
          allow_upscale: true
    medium_square:
      quality: 90
      filters:
        thumbnail:
          size: [ 600, 600 ] # largeur, hauteur
          mode: inset
        background:
          transparency: 100
          size: [ 600,600 ]
          position: center
    large:
      quality: 90
      filters:
        thumbnail:
          size: [ 1000,1000 ]
          mode: inset

    corporate_thumb:
      quality: 90
      filters:
        thumbnail:
          size: [ 600, 450 ]
          mode: outbound
          allow_upscale: true

    watermark:
      quality: 70
      filters:
        thumbnail:
          size: [ 600,600 ]
          mode: inset
        watermark_image:
          size: 0.5
          position: multiple
          image: 'public/assets/watermark.png'

